png++: png::image< pixel, pixel_buffer_type >::pixel_consumer Class Reference

png++ 0.2.10

Public Member Functions | List of all members
png::image< pixel, pixel_buffer_type >::pixel_consumer Class Reference

The pixel buffer adapter for reading pixel data. More...

`#include <image.hpp>`

Inheritance diagram for png::image< pixel, pixel_buffer_type >::pixel_consumer:

## Public Member Functions
| pixel_consumer (image_info &info, pixbuf &pixels)
void | reset (size_t pass)
Public Member Functions inherited from png::image< pixel, pixel_buffer_type >::streaming_impl< consumer< pixel, pixel_consumer, image_info_ref_holder, true > >
| streaming_impl (image_info &info, pixbuf &pixels)
byte * | get_next_row (size_t pos)
| Returns the starting address of a `pos-th` row in the image's pixel buffer. More...
Public Member Functions inherited from png::consumer< pixel, pixel_consumer, image_info_ref_holder, true >
void | read (istream &stream)
| Reads an image from the stream using default io transformation. More...
void | read (istream &stream, transformation const &transform)
| Reads an image from the stream using custom io transformation. More...
Public Member Functions inherited from png::streaming_base< pixel, image_info_ref_holder >
| streaming_base (image_info &info)
| streaming_base (uint_32 width, uint_32 height)
image_info const & | get_info () const

## Additional Inherited Members
Public Types inherited from png::consumer< pixel, pixel_consumer, image_info_ref_holder, true >
typedef pixel_traits< pixel > | traits
Public Types inherited from png::streaming_base< pixel, image_info_ref_holder >
typedef pixel_traits< pixel > | traits
Protected Types inherited from png::consumer< pixel, pixel_consumer, image_info_ref_holder, true >
typedef streaming_base< pixel, image_info_ref_holder > | base
Protected Member Functions inherited from png::consumer< pixel, pixel_consumer, image_info_ref_holder, true >
| consumer (image_info &info)
| Constructs a consumer object using passed image_info object to store image information. More...
Protected Member Functions inherited from png::streaming_base< pixel, image_info_ref_holder >
image_info & | get_info ()
void | reset (size_t)
Protected Attributes inherited from png::image< pixel, pixel_buffer_type >::streaming_impl< consumer< pixel, pixel_consumer, image_info_ref_holder, true > >
pixbuf & | m_pixbuf
Protected Attributes inherited from png::streaming_base< pixel, image_info_ref_holder >
image_info_ref_holder | m_info_holder

## Detailed Description

### template<typename pixel, typename pixel_buffer_type = pixel_buffer< pixel >>
class png::image< pixel, pixel_buffer_type >::pixel_consumer

The pixel buffer adapter for reading pixel data.

## Constructor & Destructor Documentation

## ◆ pixel_consumer()

template<typename pixel , typename pixel_buffer_type = pixel_buffer< pixel >>

png::image< pixel, pixel_buffer_type >::pixel_consumer::pixel_consumer | ( | image_info & | info,
|  | pixbuf & | pixels
| ) |  |
| inline

## Member Function Documentation

## ◆ reset()

template<typename pixel , typename pixel_buffer_type = pixel_buffer< pixel >>

void png::image< pixel, pixel_buffer_type >::pixel_consumer::reset | ( | size_t | pass | ) |
| inline

References png::image< pixel, pixel_buffer_type >::get_height(), png::streaming_base< pixel, image_info_ref_holder >::get_info(), png::image< pixel, pixel_buffer_type >::get_width(), and png::image< pixel, pixel_buffer_type >::streaming_impl< consumer< pixel, pixel_consumer, image_info_ref_holder, true > >::m_pixbuf.

The documentation for this class was generated from the following file:

- image.hpp